Name:		qastools
Version:	0.21.0
Release:	%mkrel 1
Summary:	A collection of desktop applications for ALSA
Summary(de): Sammlung von Qt basierender Mixer und Setup Tools
License:	GPLv3
Group:		Sound
Url:		http://xwmw.org/qastools
Source0:	http://sourceforge.net/projects/qastools/files/%{version}/%{name}_%{version}.tar.xz
#--------------------------------------
BuildRequires: cmake
BuildRequires: qttools5
BuildRequires: kf5-macros
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel 
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}udev0-devel
BuildRequires: desktop-file-utils
#------------------------------------
Obsoletes: qasconfig
Obsoletes: qashctl
Obsoletes: qasmixer
Obsoletes: qastools-core
#-------------------------------------
Provides: qasconfig = %version-%release
Provides: qashctl = %version-%release
Provides: qasmixer = %version-%release
Provides: qastools-core = %version-%release
#-------------------------------------

%description
QasTools is a collection of Qt-based mixer and setup tools for the
Linux sound system ALSA.

Features:
   * Desktop ALSA mixer applications
   * Desktop ALSA configuration browser

#german
%description -l de
QasTools grafische Mixer Anwendung für ALSA, das Linux Sound System
mit Konfigurationswerkzeug.

Dieses Paket installiert alle QasTools.
 * qasmixer
 * qasconfig
 * qashctl



%prep
%setup -q -n %{name}_%{version}

%build
%cmake_qt5

%make

%install
rm -rf %buildroot
%make_install -C build

# make the .desktop file compliant with freedesktop specs
for i in qasconfig qashctl qasmixer;
do
desktop-file-validate %{buildroot}%{_datadir}/applications/$i.desktop
done

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player"\
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

# it'll be %%doc'ed
rm -f %{buildroot}%{_datadir}/%{name}/COPYING


%files
%doc CHANGELOG COPYING README
%{_bindir}/qasconfig
%{_bindir}/qashctl
%{_bindir}/qasmixer
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_mandir}/man1/qasconfig.1.*
%{_mandir}/man1/qashctl.1.*
%{_mandir}/man1/qasmixer.1.*
%{_datadir}/%{name}/icons/*.svg
%{_datadir}/%{name}/widgets/sw_joined_*.svg
%{_datadir}/%{name}/l10n/%{name}_*.qm
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/icons
%dir %{_datadir}/%{name}/widgets
%dir %{_datadir}/%{name}/l10n


%changelog
* Sat May 28 2016 bb <bb> 0.21.0-1pclos2016
- update
- now a qt5 application


